<?php

namespace App\Enums;

use App\Traits\ProvidesEnumOptions;

enum PaymentType: string
{
    use ProvidesEnumOptions;

    case CASH = 'cash';
    case TRANSFER = 'transfer';
    case QRIS = 'qris';
    case MARKETPLACE = 'marketplace';

    public function label(): string
    {
        return match ($this) {
            self::CASH => 'Tunai',
            self::TRANSFER => 'Transfer',
            self::QRIS => 'Qris',
            self::MARKETPLACE => 'Marketplace',
        };
    }
}
